com.independentsoft.exchange

## Class SyncItemsResponse

- java.lang.Object
- - com.independentsoft.exchange.Response
  - - com.independentsoft.exchange.SyncItemsResponse

-     public class SyncItemsResponse
      extends Response

  Represents the status and result of a single SyncFolderItems operation request.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Item>` | `getCreatedItems()` Gets a collection of items to create in the local client store.
    `java.util.List<ItemId>` | `getDeletedItems()` Gets a collection of items to delete in the local client store.
    `boolean` | `getIncludesLastItemInRange()` Gets whether the last item to synchronize has been included in the response.
    `java.util.List<ReadFlagChange>` | `getReadFlagChangedItems()` Gets collection of responses when an item has been read.
    `java.lang.String` | `getState()` Gets identify the synchronization state.
    `java.util.List<Item>` | `getUpdatedItems()` Gets a collection of items to update in the local client store.

    - ### Methods inherited from class com.independentsoft.exchange.Response

      `getDescriptiveLinkKey, getMessage, getResponseClass, getResponseCode, getServerVersionInfo, getXmlMessage, setServerVersionInfo`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getState

          public java.lang.String getState()

      Gets identify the synchronization state. Contains a base64-encoded form of the synchronization data that is updated after each successful request.
      Returns:
        the state

    - #### getIncludesLastItemInRange

          public boolean getIncludesLastItemInRange()

      Gets whether the last item to synchronize has been included in the response.
      Returns:
        the includes last item in range

    - #### getCreatedItems

          public java.util.List<Item> getCreatedItems()

      Gets a collection of items to create in the local client store.
      Returns:
        the created items

    - #### getUpdatedItems

          public java.util.List<Item> getUpdatedItems()

      Gets a collection of items to update in the local client store.
      Returns:
        the updated items

    - #### getDeletedItems

          public java.util.List<ItemId> getDeletedItems()

      Gets a collection of items to delete in the local client store.
      Returns:
        the deleted items

    - #### getReadFlagChangedItems

          public java.util.List<ReadFlagChange> getReadFlagChangedItems()

      Gets collection of responses when an item has been read.
      Returns:
        the read flag changed items